%define _with_bml 1
#
# spec file for package gstreamer
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%bcond_with bml

%define gstreamer_pluginsdir %(pkg-config --variable=pluginsdir gstreamer-0.10)
%define soname 0

Name:           gstreamer-0_10-plugins-buzztard
Version:        0.6.0
Release:        9.1
Summary:        This module contains experimental code that extends gstreamer
License:        LGPL-2.0+
Group:          Productivity/Multimedia/Other
Url:            http://www.buzztard.org/
Source:         http://downloads.sourceforge.net/project/buzztard/buzztard%20gstreamer%20extensions/%{version}/gst-buzztard-%{version}.tar.gz
# PATCH-FIX-UPSTREAM gstreamer-0_10-plugins-buzztard-0.6.0-no_c++.patch http://buzztard.org/bugs/?do=view_issue&issue=38 reddwarf@opensuse.org -- Don't ask for a C++ compiler
Patch0:         gstreamer-0_10-plugins-buzztard-0.6.0-no_c++.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fluidsynth) >= 1.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.10.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.10.0
BuildRequires:  pkgconfig(gstreamer-0.10) >= 0.10.10
BuildRequires:  pkgconfig(gstreamer-controller-0.10) >= 0.10.10
BuildRequires:  pkgconfig(gstreamer-plugins-base-0.10) >= 0.10.10
BuildRequires:  pkgconfig(orc-0.4) >= 0.4.6
%if %{with bml}
BuildRequires:  pkgconfig(libbml) >= 0.6.0
%endif

%description
This package contains code that eventualy will be move to gstreamer
and right now is needed to build all other buzztard-modules.

%package -n libgstbuzztard%{soname}
Summary:        This module contains experimental code that extends gstreamer
Group:          System/Libraries

%description -n libgstbuzztard%{soname}
This package contains code that eventualy will be move to gstreamer
and right now is needed to build all other buzztard-modules.

%package -n libgstbuzztard-devel
Summary:        Development files for libgstbuzztard
Group:          Development/Libraries/C and C++
Requires:       libgstbuzztard%{soname} = %{version}

%description -n libgstbuzztard-devel
This package contains the files needed to compile programs that use the
libgstbuzztard library.

%prep
%setup -q -n gst-buzztard-%{version}
%patch0

%build
autoreconf -fi
%configure --disable-static --disable-silent-rules
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -delete
printf 'libgstbuzztard%{soname}\n
gstreamer-0_10-plugins-buzztard\n' > %{_sourcedir}/baselibs.conf

%post -n libgstbuzztard%{soname} -p /sbin/ldconfig

%postun -n libgstbuzztard%{soname} -p /sbin/ldconfig

%files
%defattr(0644,root,root,0755)
%dir %{gstreamer_pluginsdir}
%{gstreamer_pluginsdir}/libgstaudiodelay.so
%if %{with bml}
%{gstreamer_pluginsdir}/libgstbml.so
%endif
%{gstreamer_pluginsdir}/libgstfluidsynth.so
%{gstreamer_pluginsdir}/libgstsimsyn.so

%files -n libgstbuzztard%{soname}
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libgstbuzztard.so.%{soname}*

%files -n libgstbuzztard-devel
%defattr(0644,root,root,0755)
%{_includedir}/libgstbuzztard
%{_libdir}/libgstbuzztard.so
%{_libdir}/pkgconfig/libgstbuzztard.pc
%{_datadir}/gtk-doc/html/gst-buzztard

%changelog
* Tue May  8 2012 reddwarf@opensuse.org
- Initial package
